/****************************************************************************************** 
 *	Chili DirectX Framework Version 16.07.20											  *	
 *	Game.h																				  *
 *	Copyright 2016 PlanetChili.net <http://www.planetchili.net>							  *
 *																						  *
 *	This file is part of The Chili DirectX Framework.									  *
 *																						  *
 *	The Chili DirectX Framework is free software: you can redistribute it and/or modify	  *
 *	it under the terms of the GNU General Public License as published by				  *
 *	the Free Software Foundation, either version 3 of the License, or					  *
 *	(at your option) any later version.													  *
 *																						  *
 *	The Chili DirectX Framework is distributed in the hope that it will be useful,		  *
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of						  *
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the						  *
 *	GNU General Public License for more details.										  *
 *																						  *
 *	You should have received a copy of the GNU General Public License					  *
 *	along with The Chili DirectX Framework.  If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************************/
#pragma once

#include "Keyboard.h"
#include "Mouse.h"
#include "Graphics.h"

class Game
{
public:
	Game( class MainWindow& wnd );
	Game( const Game& ) = delete;
	Game& operator=( const Game& ) = delete;
	void Go();
private:
	void ComposeFrame();
	void UpdateModel();
	/********************************/
	/*  User Functions              */
	void drawface(int x, int y);
	void drawPoo(int x, int y);

	/********************************/
private:
	MainWindow& wnd;
	Graphics gfx;
	/********************************/
	/*  User Variables              */
	bool face_isshown = true;
	int face_x = 390;
	int face_y = 290;


	bool poo1_isalive = true;
	int poo1_x = 200;
	int poo1_y = 200;


	bool poo2_isalive = true;
	int poo2_x = 340;
	int poo2_y = 400;


	bool poo3_isalive = true;
	int poo3_x = 200;
	int poo3_y = 340;


	bool poo4_isalive = true;
	int poo4_x = 232;
	int poo4_y = 260;

	bool poo5_isalive = true;
	int poo5_x = 500;
	int poo5_y = 400;

	bool face_movingleft;
	bool face_movingright;
	bool face_movingup;
	bool face_movingdown;

	/********************************/
};